name: CI

on:
  push:
    branches: [ main ]
  pull_request:
    branches: [ main ]

jobs:
  build:
    runs-on: macos-latest
    
    steps:
    - uses: actions/checkout@v4
    
    - name: Set up Rust
      uses: dtolnay/rust-toolchain@stable
      
    - name: Build
      run: cargo build --verbose
      
    - name: Run tests (Single Threaded)
      run: cargo test --verbose -- --test-threads=1
